Skip to main content
Get Edge-Node Cluster.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

id
string
required

System defined universally unique Id of the cluster

Response

A successful response.

Cluster config summary

id
string
read-only

System defined universally unique Id of the cluster

Pattern: [0-9A-Za-z-]+
name
string

User defined name of the cluster, unique across the enterprise. Once cluster is created, name can’t be changed

title
string

User defined title of the cluster. Title can be changed at any time

description
string

Detailed description of the cluster

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

projectId
string

Foreign key to the project

clusterPrefix
string

A cluster prefix

seedNodeId
string

Seed node id

seedNodeIp
string

Seed node ip

adminState
enum<string>
default:ADMIN_STATE_UNSPECIFIED

Admin state of the cluster

Available options:
ADMIN_STATE_UNSPECIFIED,
ADMIN_STATE_CREATED,
ADMIN_STATE_DELETED,
ADMIN_STATE_ACTIVE,
ADMIN_STATE_INACTIVE,
ADMIN_STATE_REGISTERED,
ADMIN_STATE_ARCHIVED,
ADMIN_STATE_DELETION_PENDING
nodes
Cluster node detail · object[]

A list of nodes in the cluster

createdAt
string<date-time>

Creation time of the cluster

updatedAt
string<date-time>

Last updated time of the cluster

projectName
string

Project Name